RecordComparator (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.record, class: RecordComparator

Package org.apache.hadoop.record

# Class RecordComparator

java.lang.Object
org.apache.hadoop.io.WritableComparator
org.apache.hadoop.record.RecordComparator

All Implemented Interfaces:
  `Comparator`, `Configurable`, `RawComparator`

@Deprecated @Public @Stable public abstract class RecordComparator extends WritableComparator
Deprecated.
Replaced by Avro.
A raw record comparator base class

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RecordComparator(Class<? extends WritableComparable> recordClass)`
  Deprecated.
  Construct a raw `Record` comparison implementation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract int`
  `compare(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)`
  Deprecated.
  Optimization hook.
  `static void`
  `define(Class c, RecordComparator comparator)`
  Deprecated.
  Register an optimized comparator for a `Record` implementation.

  ### Methods inherited from class org.apache.hadoop.io.WritableComparator

  `compare, compare, compareBytes, define, get, get, getConf, getKeyClass, hashBytes, hashBytes, newKey, readDouble, readFloat, readInt, readLong, readUnsignedShort, readVInt, readVLong, setConf`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Comparator

  `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- ## Constructor Details

  - ### RecordComparator

    protected RecordComparator(Class<? extends WritableComparable> recordClass)
    Deprecated.
    Construct a raw `Record` comparison implementation.

- ## Method Details

  - ### compare

    public abstract int compare(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)
    Deprecated.
    Description copied from class: `WritableComparator`
    Optimization hook. Override this to make SequenceFile.Sorter's scream.

    The default implementation reads the data into two `WritableComparable`s (using `Writable.readFields(DataInput)`, then calls `WritableComparator.compare(WritableComparable,WritableComparable)`.

    Specified by:
      `compare` in interface `RawComparator`
    Overrides:
      `compare` in class `WritableComparator`
    Parameters:
      `b1` - The first byte array.
      `s1` - The position index in b1. The object under comparison's starting index.
      `l1` - The length of the object in b1.
      `b2` - The second byte array.
      `s2` - The position index in b2. The object under comparison's starting index.
      `l2` - The length of the object under comparison in b2.
    Returns:
      An integer result of the comparison.

  - ### define

    public static void define(Class c, RecordComparator comparator)
    Deprecated.
    Register an optimized comparator for a `Record` implementation.
    Parameters:
      `c` - record classs for which a raw comparator is provided
      `comparator` - Raw comparator instance for class c